| Flutter Windows Embedder |

Public Member Functions | List of all members
flutter::testing::MockIDirectManipulationViewport Class Reference
Inheritance diagram for flutter::testing::MockIDirectManipulationViewport:

## Public Member Functions
| MockIDirectManipulationViewport ()
| MOCK_METHOD0_WITH_CALLTYPE (STDMETHODCALLTYPE, AddRef, ULONG())
| MOCK_METHOD0_WITH_CALLTYPE (STDMETHODCALLTYPE, Release, ULONG())
| MOCK_METHOD2_WITH_CALLTYPE (STDMETHODCALLTYPE, QueryInterface, HRESULT(REFIID, void **))
| MOCK_METHOD0_WITH_CALLTYPE (STDMETHODCALLTYPE, Abandon, HRESULT())
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, ActivateConfiguration, HRESULT(DIRECTMANIPULATION_CONFIGURATION))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, AddConfiguration, HRESULT(DIRECTMANIPULATION_CONFIGURATION))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, AddContent, HRESULT(IDirectManipulationContent *))
| MOCK_METHOD3_WITH_CALLTYPE (STDMETHODCALLTYPE, AddEventHandler, HRESULT(HWND, IDirectManipulationViewportEventHandler *, DWORD *))
| MOCK_METHOD0_WITH_CALLTYPE (STDMETHODCALLTYPE, Disable, HRESULT())
| MOCK_METHOD0_WITH_CALLTYPE (STDMETHODCALLTYPE, Enable, HRESULT())
| MOCK_METHOD2_WITH_CALLTYPE (STDMETHODCALLTYPE, GetPrimaryContent, HRESULT(REFIID, void **))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, GetStatus, HRESULT(DIRECTMANIPULATION_STATUS *))
| MOCK_METHOD3_WITH_CALLTYPE (STDMETHODCALLTYPE, GetTag, HRESULT(REFIID, void **, UINT32 *))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, GetViewportRect, HRESULT(RECT *))
| MOCK_METHOD0_WITH_CALLTYPE (STDMETHODCALLTYPE, ReleaseAllContacts, HRESULT())
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, ReleaseContact, HRESULT(UINT32))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, RemoveConfiguration, HRESULT(DIRECTMANIPULATION_CONFIGURATION))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, RemoveContent, HRESULT(IDirectManipulationContent *))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, RemoveEventHandler, HRESULT(DWORD))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, SetChaining, HRESULT(DIRECTMANIPULATION_MOTION_TYPES))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, SetContact, HRESULT(UINT32))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, SetInputMode, HRESULT(DIRECTMANIPULATION_INPUT_MODE))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, SetManualGesture, HRESULT(DIRECTMANIPULATION_GESTURE_CONFIGURATION))
| MOCK_METHOD2_WITH_CALLTYPE (STDMETHODCALLTYPE, SetTag, HRESULT(IUnknown *, UINT32))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, SetUpdateMode, HRESULT(DIRECTMANIPULATION_INPUT_MODE))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, SetViewportOptions, HRESULT(DIRECTMANIPULATION_VIEWPORT_OPTIONS))
| MOCK_METHOD1_WITH_CALLTYPE (STDMETHODCALLTYPE, SetViewportRect, HRESULT(const RECT *))
| MOCK_METHOD2_WITH_CALLTYPE (STDMETHODCALLTYPE, SetViewportTransform, HRESULT(const float *, DWORD))
| MOCK_METHOD0_WITH_CALLTYPE (STDMETHODCALLTYPE, Stop, HRESULT())
| MOCK_METHOD2_WITH_CALLTYPE (STDMETHODCALLTYPE, SyncDisplayTransform, HRESULT(const float *, DWORD))
| MOCK_METHOD5_WITH_CALLTYPE (STDMETHODCALLTYPE, ZoomToRect, HRESULT(const float, const float, const float, const float, BOOL))

## Detailed Description

Definition at line 16 of file direct_manipulation_unittests.cc.

## Constructor & Destructor Documentation

## ◆ MockIDirectManipulationViewport()

flutter::testing::MockIDirectManipulationViewport::MockIDirectManipulationViewport | ( |  | ) |
| inline

Definition at line 18 of file direct_manipulation_unittests.cc.

18 {}

## Member Function Documentation

## ◆ MOCK_METHOD0_WITH_CALLTYPE() [1/7]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD0_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | Abandon | ,
|  | HRESULT() |
| ) |  |

## ◆ MOCK_METHOD0_WITH_CALLTYPE() [2/7]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD0_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | AddRef | ,
|  | ULONG() |
| ) |  |

## ◆ MOCK_METHOD0_WITH_CALLTYPE() [3/7]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD0_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | Disable | ,
|  | HRESULT() |
| ) |  |

## ◆ MOCK_METHOD0_WITH_CALLTYPE() [4/7]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD0_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | Enable | ,
|  | HRESULT() |
| ) |  |

## ◆ MOCK_METHOD0_WITH_CALLTYPE() [5/7]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD0_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | Release | ,
|  | ULONG() |
| ) |  |

## ◆ MOCK_METHOD0_WITH_CALLTYPE() [6/7]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD0_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | ReleaseAllContacts | ,
|  | HRESULT() |
| ) |  |

## ◆ MOCK_METHOD0_WITH_CALLTYPE() [7/7]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD0_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | Stop | ,
|  | HRESULT() |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [1/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | ActivateConfiguration | ,
|  | HRESULT(DIRECTMANIPULATION_CONFIGURATION) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [2/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | AddConfiguration | ,
|  | HRESULT(DIRECTMANIPULATION_CONFIGURATION) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [3/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | AddContent | ,
|  | HRESULT(IDirectManipulationContent *) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [4/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | GetStatus | ,
|  | HRESULT(DIRECTMANIPULATION_STATUS *) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [5/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | GetViewportRect | ,
|  | HRESULT(RECT *) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [6/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | ReleaseContact | ,
|  | HRESULT(UINT32) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [7/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | RemoveConfiguration | ,
|  | HRESULT(DIRECTMANIPULATION_CONFIGURATION) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [8/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | RemoveContent | ,
|  | HRESULT(IDirectManipulationContent *) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [9/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | RemoveEventHandler | ,
|  | HRESULT(DWORD) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [10/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SetChaining | ,
|  | HRESULT(DIRECTMANIPULATION_MOTION_TYPES) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [11/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SetContact | ,
|  | HRESULT(UINT32) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [12/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SetInputMode | ,
|  | HRESULT(DIRECTMANIPULATION_INPUT_MODE) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [13/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SetManualGesture | ,
|  | HRESULT(DIRECTMANIPULATION_GESTURE_CONFIGURATION) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [14/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SetUpdateMode | ,
|  | HRESULT(DIRECTMANIPULATION_INPUT_MODE) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [15/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SetViewportOptions | ,
|  | HRESULT(DIRECTMANIPULATION_VIEWPORT_OPTIONS) |
| ) |  |

## ◆ MOCK_METHOD1_WITH_CALLTYPE() [16/16]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD1_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SetViewportRect | ,
|  | HRESULT(const RECT *) |
| ) |  |

## ◆ MOCK_METHOD2_WITH_CALLTYPE() [1/5]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD2_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | GetPrimaryContent | ,
|  | HRESULT(REFIID, void **) |
| ) |  |

## ◆ MOCK_METHOD2_WITH_CALLTYPE() [2/5]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD2_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | QueryInterface | ,
|  | HRESULT(REFIID, void **) |
| ) |  |

## ◆ MOCK_METHOD2_WITH_CALLTYPE() [3/5]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD2_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SetTag | ,
|  | HRESULT(IUnknown *, UINT32) |
| ) |  |

## ◆ MOCK_METHOD2_WITH_CALLTYPE() [4/5]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD2_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SetViewportTransform | ,
|  | HRESULT(const float *, DWORD) |
| ) |  |

## ◆ MOCK_METHOD2_WITH_CALLTYPE() [5/5]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD2_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | SyncDisplayTransform | ,
|  | HRESULT(const float *, DWORD) |
| ) |  |

## ◆ MOCK_METHOD3_WITH_CALLTYPE() [1/2]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD3_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | AddEventHandler | ,
|  | HRESULT(HWND, IDirectManipulationViewportEventHandler *, DWORD *) |
| ) |  |

## ◆ MOCK_METHOD3_WITH_CALLTYPE() [2/2]

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD3_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | GetTag | ,
|  | HRESULT(REFIID, void **, UINT32 *) |
| ) |  |

## ◆ MOCK_METHOD5_WITH_CALLTYPE()

flutter::testing::MockIDirectManipulationViewport::MOCK_METHOD5_WITH_CALLTYPE | ( | STDMETHODCALLTYPE | ,
|  | ZoomToRect | ,
|  | HRESULT(const float, const float, const float, const float, BOOL) |
| ) |  |

The documentation for this class was generated from the following file:

- shell/platform/windows/direct_manipulation_unittests.cc